#! /usr/bin/python

from math import sqrt
from helpers.calcerror import CalculationError

def printDoc():
    print("computes the wind chill using the National Weather Service's")
    print("alogrithim, use like this: wcf velocity temperature")
    
def doCalc(*args):
    if len(args) != 2:
        raise CalculationError("Too many or too few args!! Aborting...")
        
    
    velocity = int(args[0])
    temp = int(args[1])
    
    result = 91.4-(.474677-0.020425*velocity+.303107*sqrt(velocity))*(91.4-temp)

    return result
